Search documentation of bb

# BB.Error.Kinematics.MultiFailed exception (bb v0.17.0)

Copy Markdown View Source

Multi-target inverse kinematics failed.

Raised when a multi-target IK operation fails for one or more targets. Contains the link that failed, the underlying error, and partial results from any successful targets.

## Summary

### Types

t()

### Functions

exception(args)

Create an `Elixir.BB.Error.Kinematics.MultiFailed` without raising it.

## Types

# t()

    @type t() :: %BB.Error.Kinematics.MultiFailed{
      __exception__: true,
      bread_crumbs: term(),
      class: term(),
      error: term(),
      failed_link: atom(),
      partial_results: map(),
      path: term(),
      splode: term(),
      stacktrace: term(),
      vars: term()
    }

## Functions

# exception(args)

    @spec exception(opts :: Keyword.t()) :: %BB.Error.Kinematics.MultiFailed{
      __exception__: true,
      bread_crumbs: term(),
      class: term(),
      error: term(),
      failed_link: term(),
      partial_results: term(),
      path: term(),
      splode: term(),
      stacktrace: term(),
      vars: term()
    }

Create an `Elixir.BB.Error.Kinematics.MultiFailed` without raising it.

## Keys

- :failed_link
- :error
- :partial_results